org.apache.tomcat.websocket.pojo

## Class PojoMessageHandlerWholeText

- java.lang.Object
- - org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<T>
  - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase<String>
    - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeText

- All Implemented Interfaces:
    MessageHandler, MessageHandler.Whole<String>, WrappedMessageHandler

      public class PojoMessageHandlerWholeText
      extends PojoMessageHandlerWholeBase<String>

  Text specific concrete implementation for handling whole messages.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.websocket.MessageHandler

      `MessageHandler.Partial<T>, MessageHandler.Whole<T>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

      `convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PojoMessageHandlerWholeText(Object pojo, Method method, Session session, EndpointConfig config, List<Class<? extends Decoder>> decoderClazzes, Object[] params, int indexPayload, boolean convert, int indexSession, long maxMessageSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `convert(String message)`
    `protected Object` | `decode(String message)`
    `protected void` | `onClose()`

    - ### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase

      `onMessage`

    - ### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

      `getMaxMessageSize, getWrappedHandler, handlePojoMethodException, processResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PojoMessageHandlerWholeText

          public PojoMessageHandlerWholeText(Object pojo,
                                     Method method,
                                     Session session,
                                     EndpointConfig config,
                                     List<Class<? extends Decoder>> decoderClazzes,
                                     Object[] params,
                                     int indexPayload,
                                     boolean convert,
                                     int indexSession,
                                     long maxMessageSize)

  - ### Method Detail

    - #### decode

          protected Object decode(String message)
                           throws DecodeException

      Specified by:
        `decode` in class `PojoMessageHandlerWholeBase<String>`
      Throws:
        `DecodeException`

    - #### convert

          protected Object convert(String message)

      Overrides:
        `convert` in class `PojoMessageHandlerWholeBase<String>`

    - #### onClose

          protected void onClose()

      Specified by:
        `onClose` in class `PojoMessageHandlerWholeBase<String>`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.